Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Edit this page
Toggle table of contents sidebar

# Introduction

This project is in maintenance mode.

This is a Django application to add django-crispy-forms layout objects for Foundation for sites.

This app does not include Foundation for sites assets, you will have to install them by yourself in your projects.

## Links

- Read the documentation on Read the docs;

- Download his PyPi package;

- Clone it on its Github repository;

# Requires

- Python >= 3.10;

- Django >= 4.2;

- django-crispy-forms >= 2.0.0;

- Foundation for sites >= 6.3.x;

## Contents

- Install
- Settings
- Basic sample
- Basic elements
  - `Layout`
  - `UneditableField`
  - `HTML`
  - `Div`
  - `Callout`
- Fields
  - `Field`
  - `FakeField`
  - `Hidden`
  - `MultiWidgetField`
  - `MultiField`
  - `SplitDateTimeField`
  - `InlineField`
  - `InlineJustifiedField`
  - `SwitchField`
  - `InlineSwitchField`
- Buttons
  - `ButtonHolder`
  - `ButtonHolderCallout`
  - `ButtonGroup`
  - `Button`
  - `Submit`
  - `Reset`
  - `InputButton`
  - `InputSubmit`
  - `InputReset`
  - `ButtonElement`
  - `ButtonSubmit`
  - `ButtonReset`
- Grid
  - `Row`
  - `RowFluid`
  - `Column`
- Form containers
  - `Fieldset`
  - `Container`
  - `ContainerHolder`
  - `TabHolder`
  - `VerticalTabHolder`
  - `TabItem`
  - `AccordionHolder`
  - `AccordionItem`
- Use Foundation Abide validation
  - Support within tabs
  - Support within accordions
- Form objects
  - `FoundationFormMixin`
  - `FoundationForm`
  - `FoundationModelForm`

## About the project

- Development
- Changelog

### Contributors

- Philip Garnero (@PhilipGarnero);

- Juerg Rast (@jrast);

- JR (@jayarnielsen);

- Carsolcas (@carsolcas);

- Simon Bächler (@sbaechler);

- Manu Phatak (@bionikspoon);

- Florian Eßer (@flesser);

- Xabier Bello (@xbello);

- Michał Pasternak (@mpasternak);

- Sprda (@sprda);

- Sparrow (@sparrow);